#1.
stroka = 'The Show Must Go On'
print(stroka)
alph = 'abcdefghijklmnopqrstuvwxyz'

for i in stroka:
    low = i.lower()
    if low in alph:
        pos = alph.index(low) + 1
        print(f"Буква '{i}' имеет порядковый номер {pos}")
    else:
        print(f" Это '{i}' не буква английского алфавита")

#2. 
stroka= 'Создайте список со словами из задания данного пункта . Для этого списка – определите , есть ли в нем некоторое заданное значение , и выведите соответствующее сообщение : либо о нахождении элемента , либо о его отсутствии в списке'
spisok  = stroka.split(' ')
print(spisok)
slovo1 = 'значение'
slovo2 = 'задание'
if slovo1 in spisok:
    print(f"Слово '{slovo1}' есть в списке")
else:
    print(f"Слово '{slovo1}'  убежало из списка")

if slovo2 in spisok:
    print(f"Слово '{slovo2}' есть в списке") 
else:
    print(f"Слово '{slovo2}'  убежало из списка")

#3.
stud_summer = ["Лазарев", "Анисенков", "Филлипова", "Мельников"]
ozenka_summer = [5, 4.8, 4.6, 4]
stud_winter = ["Филлипова", "Мельников", "Анисенков", "Лазарев"]
ozenka_winter = [4.7, 4.1, 4.5, 5]

# Запрос фамилии студента у пользователя
sur = input("Введите фамилию студента: ")
print(sur)
# Поиск и вывод результатов
if sur in stud_summer:
    if sur in stud_winter:
        ozenkaS = ozenka_summer[stud_summer.index(sur)]
        ozenkaW = ozenka_winter[stud_winter.index(sur)]
    
    # Выводим результат
    print("Средний балл за летнюю сессию:", ozenkaS)
    print("Средний балл за зимнюю сессию:", ozenkaW)
else:
    print("В списках не значится/отчислен")
